Page MenuHomePhabricator

E3. Allow config of archive title formats using MediaWiki namespace config page
Closed, ResolvedPublic2 Story Points

Description

VisualEditor has some techniques for this (e.g. to make sure it's editable as JSON).

The simple version of this is to just allow:

Archive%d, Archive_%d,

or:

archivo%d

etc.

More elaborate variations could support dates as well (e.g. August 2015). But I think just consecutive numbering is probably fine.

We should also investigate whether we can have this translated at MediaWiki.org while still allowing wiki-specific overrides by editing the MediaWiki.org page.

See T117616: Allow config of archive page title formats for LQT conversion using MediaWiki namespace config page.

Event Timeline

Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF raised the priority of this task from to Normal.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 20 2015, 6:34 PM
DannyH set Security to None.
DannyH moved this task from Untriaged to Team discussion on the Collaboration-Team-Triage board.
DannyH edited a custom field.Mar 30 2015, 6:43 PM
DannyH renamed this task from Allow config of archive formats using MediaWiki namespace config page to E3. Allow config of archive formats using MediaWiki namespace config page.Jun 30 2015, 9:02 PM
Catrope renamed this task from E3. Allow config of archive formats using MediaWiki namespace config page to E3. Allow config of archive title formats using MediaWiki namespace config page.Jul 1 2015, 6:05 PM

Do we also removed the archive title from the special page? Or do we leave it there and it defaults to the i18n message if nothing is specified on the page?

I think we should remove it.

Change 223981 had a related patch set uploaded (by Sbisson):
[WIP] Use a message for archive pattern

https://gerrit.wikimedia.org/r/223981

Change 223981 merged by jenkins-bot:
Use a message for archive pattern

https://gerrit.wikimedia.org/r/223981

According to https://gerrit.wikimedia.org/r/#/c/223981/

  • Remove archive pattern from Special:EnableFlow page
  • Add flow-conversion-archive-page-name-format
  • Supports multiple formats separated by \n

The Special:EnableFlow page looks as the following:

And a Flow page gets created as Talk:, or just as with a arbitrary page title - e.g. ET123, ET456/vv etc

DannyH closed this task as Resolved.Jul 13 2015, 5:13 PM